bitel.billing.server.cerbercrypt.bean

## Class PacketManager

- java.lang.Object
- - bitel.billing.server.cerbercrypt.bean.PacketManager

- Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.server.bean.PacketManager

      @Deprecated
      public class PacketManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketManager(java.sql.Connection con, int mid)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePacket(int id)` Deprecated.
    `Packet` | `getPacketById(int id)` Deprecated.
    `Packet` | `getPacketByID(int id)` Deprecated.
    `java.util.List<Packet>` | `getPacketList()` Deprecated. Список всех пакетов, сортировка по заголовку.
    `java.util.List<Packet>` | `getPacketList(boolean cinema)` Deprecated. Список всех пакетов вирт-синемы либо не-вирт-синемы, сортировка по заголовку.
    `java.util.Map<java.lang.Integer,Packet>` | `getPacketMap()` Deprecated. Возвращает все пакеты мэпом.
    `void` | `updatePacket(int id, Packet packet)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketManager

          public PacketManager(java.sql.Connection con,
                               int mid)

      Deprecated.

  - ### Method Detail

    - #### updatePacket

          public void updatePacket(int id,
                                   Packet packet)

      Deprecated.

    - #### getPacketList

          public java.util.List<Packet> getPacketList()
                                               throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Список всех пакетов, сортировка по заголовку.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketList

          public java.util.List<Packet> getPacketList(boolean cinema)
                                               throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Список всех пакетов вирт-синемы либо не-вирт-синемы, сортировка по заголовку.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketMap

          public java.util.Map<java.lang.Integer,Packet> getPacketMap()
                                                               throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Возвращает все пакеты мэпом.
      Returns:
        Мап(id => пакет)
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketById

          public Packet getPacketById(int id)

      Deprecated.

    - #### getPacketByID

          @Deprecated
          public Packet getPacketByID(int id)

      Deprecated.
      Использовать `getPacketById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### deletePacket

          public void deletePacket(int id)

      Deprecated.